Page MenuHomePhabricator

Change Special:ChangePassword to use OOUI (to match styling of Special:UserLogin)
Closed, ResolvedPublic

Description

  1. Reset password
  2. Log in with it, this yields the "Create a new password" screen, courtesy of Special:ResetPassword proxied through SpecialUserLogin
  3. Trigger any error or callback or rate limit. That will respond from ResetPassword (in the url) as that's where the form submits to.

It shows exact same form again, with my values still filled. Except now the form looks completely unstyled.

Event Timeline

Krinkle created this task.Dec 12 2014, 5:08 AM
Krinkle raised the priority of this task from to Needs Triage.
Krinkle updated the task description. (Show Details)
Krinkle changed Security from none to None.
Krinkle added subscribers: Krinkle, Jdlrobson.
Aklapper triaged this task as Low priority.Dec 14 2014, 10:31 PM
Florian claimed this task.Sep 15 2015, 5:15 PM
Florian added a subscriber: Florian.

The problem is, that Special:UserLogin forces mediawiki UI to "on", and proxies SpecialChangePassword for the first request (to announce, that you need to change the password). After you submited the form, you will be on Special:ChangeEmail which doesn't have mediwiki ui enabled.

I think the short term fix would be to enable MediaWiki UI on Special:ChangePassword, and the long term to rewrite SpecialChangPassword in OOUI.

Change 238497 had a related patch set uploaded (by Florianschmidtwelzow):
Force MediaWiki UI true on Special:ChangePassword

https://gerrit.wikimedia.org/r/238497

Change 238505 had a related patch set uploaded (by Florianschmidtwelzow):
Change Special:ChangePassword to use OOUI

https://gerrit.wikimedia.org/r/238505

Change 238497 abandoned by Florianschmidtwelzow:
Force MediaWiki UI true on Special:ChangePassword

Reason:
please review: Id768833bbd966cde

https://gerrit.wikimedia.org/r/238497

Change 238505 merged by jenkins-bot:
Change Special:ChangePassword to use OOUI

https://gerrit.wikimedia.org/r/238505

Jdlrobson closed this task as Resolved.Nov 3 2015, 6:16 PM
matmarex renamed this task from Password reset switches from mediawiki-ui to normal style after first submit to Change Special:ChangePassword to use OOUI (to match styling of Special:UserLogin).Nov 4 2015, 6:26 PM
matmarex removed a project: Patch-For-Review.